bzr needs upper version bound on python-bzrlib dependency

Bug #778696 reported by Anders Kaseorg on 2011-05-06
12
This bug affects 2 people
Affects Status Importance Assigned to Milestone
bzr (Debian)
Fix Released
Undecided
Unassigned
bzr (Ubuntu)
Medium
Jelmer Vernooij

Bug Description

Binary package hint: bzr

There’s code in /usr/bin/bzr to check that the version of bzrlib exactly matches the version of bzr:

if bzrlib.version_info[:3] != _script_version:
    sys.stderr.write("bzr: WARNING: bzrlib version doesn't match the bzr program.\n"
            "This may indicate an installation problem.\n"
            "bzrlib from %s is version %r\n"
            % (bzrlib.__path__, bzrlib.version_info))

But the bzr package only declares a lower-bound dependency on python-bzrlib (>= ${source:Version}), so it’s possible to have python-bzrlib 2.4.0~beta2-2ubuntu1 with bzr 2.3.1-1ubuntu1, triggering this warning. bzr should have an upper-bound dependency as well, like python-bzrlib.tests does.

Jelmer Vernooij (jelmer) on 2011-05-21
Changed in bzr (Ubuntu):
status: New → Triaged
importance: Undecided → Medium
assignee: nobody → Jelmer Vernooij (jelmer)
status: Triaged → Fix Committed
Jelmer Vernooij (jelmer) on 2011-06-03
Changed in bzr (Debian):
status: New → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package bzr - 2.4.0~beta4-1ubuntu1

---------------
bzr (2.4.0~beta4-1ubuntu1) oneiric; urgency=low

  * Merge from Debian.

bzr (2.4.0~beta4-1) unstable; urgency=low

  * New upstream release.
   + Using "bzr blame" no longer requires user to set identity. LP: #667408
  * Bump standards version to 3.9.2 (no changes).

bzr (2.4.0~beta3-2) unstable; urgency=low

  * Add 04_fix_undecodable_argv; cope with $HOME not existing on some
    buildd machines.

bzr (2.4.0~beta3-1) unstable; urgency=low

  * New upstream release.
   + Requires at least Python 2.6 or higher.
   + Fixes permissions on directories in zip files. LP: #207253
   + Prints proper error when encountering encoding-invalid characters in
     commit messages on the commandline. LP: #745712
   + Drop patches merged upstream: 04_auto_user_id_test_fix,
   05_fix_locale_test
  * Add upper bound version dependency on python-bzrlib in bzr.
    LP: #778696

bzr (2.4.0~beta2-3) unstable; urgency=low

  * Upload to unstable.
  * Update 05_fix_locale_test to cope with home directory not existing.
 -- Jelmer Vernooij <email address hidden> Fri, 17 Jun 2011 12:30:59 +0200

Changed in bzr (Ubuntu):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers